View the specific permissions a delegated access has for services, domains, and invoices. The response includes a `grantId` for related API calls.
grantId → data.grant.id grantId string required
Example: 11111111-1111-1111-1111-111111111111 grantId parameter
Accept Example Content-Type Example data object required data.accessAllDomains boolean required
· Example: false data.accessAllHosting boolean required
· Example: false data.accessAllVps boolean required
· Example: true data.canCloseTickets boolean
· Example: true data.canOpenTickets boolean
· Example: true data.canPlaceOrders boolean
· Example: false data.canReceiveInvoices boolean
· Example: false data.canReceiveTicketEmails boolean
· Example: true data.canRequestEpp boolean
· Example: false data.canViewInvoices boolean
· Example: false data.canViewTickets boolean
· Example: true data.dnsZones array<object>
· Example: [{"id":"10001","name":"example.com","type":"dns_zone","hasAccess":true},{"id":"10001","... data.dnsZones[].hasAccess boolean required
· Example: true data.dnsZones[].id string required
· Example: 3034 data.dnsZones[].name string required
· Example: example.com data.dnsZones[].type string
· Example: dns_zone data.domains array<object>
· Example: [{"id":"10001","name":"example.com","type":"domain","hasAccess":false},{"id":"10001","n... data.domains[].hasAccess boolean required
· Example: false data.domains[].id string required
· Example: 20750 data.domains[].name string required
· Example: example.com data.domains[].type string
· Example: domain data.grant object data.grant.granteeClientId string required
· Example: 30000 data.grant.id string required
· Example: 29e08937-85e2-8f5c-f687-cd42f2fd2cb2 data.grant.label string required
· Example: Example Label data.services array<object>
· Example: [{"id":"10001","name":"VPS XS","type":"service","category":"vps","hasAccess":true},{"id... data.services[].category string · enum required
· Example: vps hosting vps data.services[].hasAccess boolean required
· Example: true data.services[].id string required
· Example: 18757 data.services[].name string
· Example: VPS XS data.services[].type string
· Example: service requestId string required
· Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba Unique request identifier (UUID).
success boolean required
· Example: true True for successful responses.
timestamp string
· Example: 2026-02-10T00:00:00.000Z ISO 8601 timestamp (UTC).
https://cloud.hostup.se/api/delegated-access/{grantId}/permissions curl -X GET "https://cloud.hostup.se/api/delegated-access/11111111-1111-1111-1111-111111111111/permissions" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" {
"success": true,
"timestamp": "2026-02-10T00:00:00.000Z",
"requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
"data": {
"grant": {
"id": "29e08937-85e2-8f5c-f687-cd42f2fd2cb2",
"granteeClientId": "30000",
"label": "Example Label"
},
"services": [
{
"id": "10001",
"name": "VPS XS",
"type": "service",
"category": "vps",
"hasAccess": true
},
{
"id": "10001",
"name": "VPS XS",
"type": "service",
"category": "vps",
"hasAccess": true
},
{
"id": "10001",
"name": "VPS XS",
"type": "service",
"category": "vps",
"hasAccess": true
}
],
"domains": [
{
"id": "10001",
"name": "example.com",
"type": "domain",
"hasAccess": false
},
{
"id": "10001",
"name": "example.com",
"type": "domain",
"hasAccess": false
},
{
"id": "10001",
"name": "example.com",
"type": "domain",
"hasAccess": true
}
],
"dnsZones": [
{
"id": "10001",
"name": "example.com",
"type": "dns_zone",
"hasAccess": true
},
{
"id": "10001",
"name": "example.com",
"type": "dns_zone",
"hasAccess": true
},
{
"id": "10001",
"name": "example.com",
"type": "dns_zone",
"hasAccess": true
}
],
"canViewInvoices": false,
"canReceiveInvoices": false,
"canOpenTickets": true,
"canViewTickets": true,
"canReceiveTicketEmails": true,
"canCloseTickets": true,
"accessAllVps": true,
"accessAllHosting": false,
"canPlaceOrders": false,
"accessAllDomains": false,
"canRequestEpp": false
}
}